package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 痘姆古陶主历史信息对象 doumu_product_history
 * 
 * @author boman
 * @date 2024-01-16
 */
public class DoumuProductHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long historyId;

    /** 痘姆古陶主表id（doumu_product_info） */
    @Excel(name = "痘姆古陶主表id", readConverterExp = "d=oumu_product_info")
    private Long productId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNumber;

    /** 联系人姓名 */
    @Excel(name = "联系人姓名")
    private String name;

    /** 交付方式（1：邮寄，2：自取） */
    @Excel(name = "交付方式", readConverterExp = "1=：邮寄，2：自取")
    private String deliveryType;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String phonenumber;

    /** 数量 */
    @Excel(name = "数量")
    private String quantity;

    /** 省编号 */
    private String provinceId;

    /** 省 */
    @Excel(name = "省")
    private String province;

    /** 市id */
    private String cityId;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 区县id */
    private String countyId;

    /** 区县 */
    private String county;

    /** 收货地址 */
    @Excel(name = "收货地址")
    private String address;

    /** 经度 */
    private String lon;

    /** 纬度 */
    private String lat;

    /** 当前流程记录（字典值，用户自己配置） */
    @Excel(name = "当前流程记录", readConverterExp = "字=典值，用户自己配置")
    private String flowType;

    /** 1:未支付,2:已支付，3：已结束（已邮寄或已自取） */
    @Excel(name = "订单状态", readConverterExp = "1=未支付,2=已支付,3=已结束")
    private String status;


    /** 快递单号 */
    @Excel(name = "快递单号")
    private String mailNo;

    public void setHistoryId(Long historyId) 
    {
        this.historyId = historyId;
    }

    public Long getHistoryId() 
    {
        return historyId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDeliveryType(String deliveryType) 
    {
        this.deliveryType = deliveryType;
    }

    public String getDeliveryType() 
    {
        return deliveryType;
    }
    public void setPhonenumber(String phonenumber) 
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber() 
    {
        return phonenumber;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setFlowType(String flowType) 
    {
        this.flowType = flowType;
    }

    public String getFlowType() 
    {
        return flowType;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMailNo() {
        return mailNo;
    }

    public void setMailNo(String mailNo) {
        this.mailNo = mailNo;
    }

    @Override
    public String toString() {
        return "DoumuProductHistory{" +
                "historyId=" + historyId +
                ", productId=" + productId +
                ", orderNumber='" + orderNumber + '\'' +
                ", name='" + name + '\'' +
                ", deliveryType='" + deliveryType + '\'' +
                ", phonenumber='" + phonenumber + '\'' +
                ", address='" + address + '\'' +
                ", flowType='" + flowType + '\'' +
                '}';
    }
}
